!/////////////////////////////////////////////////////////////////////////
!  This is proprietary source code of Ithaca Combustion Enterprise, LLC.
!  All rights reserved.  This code is confidential and may not be used,
!  copied, printed, read or disclosed to others without written permission.
!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
module isat_prec	!  define precision to be used in isat
! DOUBLE PRECISION VERSION

   implicit none

!  the following integer parameters are defined:

!  k_sp		kind for single precision
!  k_dp		kind for double precision
!  k_xf		kind for real input into isatab (e.g., x, f, rinfo, etc.)
!  k_mat	kind for matrices used internally in isat
!  bytes_xf	number of bytes per word of kind k_xf
!  bytes_mat	number of bytes per word of kind k_mat

   integer, parameter :: k_sp   = kind(1.0)
   integer, parameter :: k_dp   = kind(1.0d0)
   integer, parameter :: k_xf   = k_dp , bytes_xf  = 8
!XXinteger, parameter :: k_mat  = k_sp , bytes_mat = 4
   integer, parameter :: k_mat  = k_dp , bytes_mat = 8

end module isat_prec
